Subject: [tcpm] on resetting backoff in rto-consider

From: Yuchung Cheng <[email-masked]>
Date: Wed, 29 Mar 2017 21:22:13 -0500

(3) Each time the RTO is used to detect a loss and a retransmission
        is scheduled, the value of the RTO MUST be exponentially backed
        off such that the next firing requires a longer interval.  The
        backoff SHOULD be removed after the successful repair of the
        lost data and subsequent transmission of non-retransmitted data.

I wanted to ask in mic but we ran out of time: AFAIK, the backoff is reset
whenever a new RTT sample is obtained, not necessarily the segment being
repaired, either via new data being acked or TS-opt approach. The rationale
that is exp-backoff is not necessary if ack clocking has been restored.

Since we are talking about wiggle rooms: I would propose we just say
backoff SHOULD be removed once a new FT is obtained.

Is this critical? probably not. But I just want to finish my questions.